import pino from "pino"
import { LOG_LEVEL } from "../config.ts"

/**
 * / Returns a logging instance with the default log-level "info"
 */
const logger = pino(
  pino.destination({
    level: LOG_LEVEL,
  }),
)

console.log = function (...args): void {
  logger.info(args, args?.[0])
}

export default logger
